import 'package:flutter/material.dart';

import '../../../../../data/repo/activities_repository.dart';
import '../../../cubit/activity_cubit.dart';

mixin SharedActivityMixin<T extends StatefulWidget> on State<T> {
  late ActivityCubit _activityCubit;
  ActivityCubit get activityCubitInstance => _activityCubit;
  @override
  void initState() {
    super.initState();
    _activityCubit =
        ActivityCubit(activitiesRepository: ActivitiesRepository());
  }
}
